"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.loglan2lojban = exports.lojban2loglan = void 0;
const items = [
    ["do", "tu"],
    ["do'o", "tuo"],
    ["mi'o", "mu"],
    ["mi'a", "miu"],
    ["ma'a", "muu"],
    ["mi e do", "mo"],
    ["mi e lo drata", "mio"],
    ["mi e do e lo drata", "muo"],
    ["ko", ""],
    ["i", "i"],
    ["ni'o", "nao"],
    ["ku'i", "buo"],
    ["zo'u", "goi"],
    ["be", "je"],
    ["bei", "jue"],
    ["sei", "soi"],
    ["fi'o", "soi"],
    ["xoi", "soi"],
    ["du", "bi"],
    ["go'i", "dua"],
    ["na ku", "no"],
    ["ky", "kei"],
    ["ly", "lei"],
    ["my", "mei"],
    ["ny", "nei"],
    ["py", "pei"],
    ["je", "ce"],
    ["e", "e"],
    ["ze", "ce"],
    ["zi'e", "e"],
    ["ije", "ice"],
    ["inaja", "inoca"],
    ["la'edei", "tao"],
    ["ko'a", "da"],
    ["ko'e", "de"],
    ["ko'i", "di"],
    ["ko'o", "do"],
    ["ko'u", "du"],
    ["ma", "hu"],
    ["mo", "he"],
    ["xu", "ei"],
    ["ri'a", "kou"],
    ["mu'a", "moi"],
    ["ki'u", "rau"],
    ["ni'i", "soa"],
    ["du'i", "lia"],
    ["su'o", "su"],
    ["pa", "ne"],
    ["re", "to"],
    ["ci", "te"],
    ["vo", "fo"],
    ["mu", "fe"],
    ["xa", "so"],
    ["ze", "se"],
    ["bi", "vo"],
    ["so", "ve"],
    ["no", "ni"],
    ["xo", "ho"],
    ["ro", "ra"],
    ["su'e", "si"],
    ["su'o", "su"],
    ["pu", "pa"],
    ["ca", "na"],
    ["ba", "fa"],
    ["zi", "zi"],
    ["za", "za"],
    ["zu", "zu"],
    ["ka'e", "gau"],
    ["pu ca'o", "pia"],
    ["ca ca'o", "nia"],
    ["ba ca'o", "fia"],
    ["pu ta'e", "pua"],
    ["ca ta'e", "nua"],
    ["ba ta'e", "fua"],
    ["vi", "vi"],
    ["va", "va"],
    ["vu", "vu"],
    ["ka'ai", "kii"],
    ["fau", "feu"],
    ["te zu'e", "dii"],
    ["si'u", "hea"],
    ["le", "le"],
    ["lo", "su"],
    ["la", "la"],
    ["lei", "lo"],
    ["lu", "li"],
    ["li'u", "lu"],
    ["la'e", "lae"],
    ["li", "lio"],
    ["lo'e", "loe"],
    ["ti", "ti"],
    ["ta", "ta"],
    ["fa", "zua"],
    ["fe", "zue"],
    ["fi", "zui"],
    ["fo", "zuo"],
    ["fu", "zuu"],
    ["se", "nu"],
    ["te", "fu"],
    ["ve", "ju"],
    ["nu", "po"],
    ["du'u", "po"],
    ["ka", "pu"],
    ["ni", "zo"],
    ["kei", "guo"],
    ["ku", "gu"],
    ["da", "ba"],
    ["de", "be"],
    ["di", "bo"],
    ["da xi vo", "bu"],
    ["au", "ae"],
    ["da'i", "eu"],
    ["e'o", "eo"],
    ["coi", "loi"],
    ["co'o", "loa"],
    ["doi", "hoi"],
    ["joi", "ze"],
    ["ry", "rei"],
    ["go", "co"],
    ["ge", "ke"],
    ["gi", "ki"],
    ["me", "me"],
    ["pe", "ji"],
    ["poi", "jio"],
    ["noi", "jao"],
    ["cu", "ga"],
    ["bombila", "litbui"],
    ["bislunsa", "bisherfa"],
    ["kakydirgo", "mekcui"],
    ["likri'a", "flicko"],
    ["pintu'a", "leplai"],
    ["dorlai", "delnai"],
    ["cipni", "nirdu"],
    ["na'e morji", "nordri"],
    ["ficli", "finpe verba"],
    ["jimca", "badjo"],
    ["fanva", "notlensea"],
    ["cmavo", "cmapua"],
    ["ractu", "lepsu"],
    ["vrici", "rorkle"],
    ["bakfu", "badlo"],
    ["tanxe", "bakso"],
    ["jurme", "bakteri"],
    ["baktu", "bakto"],
    ["se dinju", "balci"],
    ["di'uzba", "nu balci"],
    ["balni", "balko"],
    ["bolci", "balma"],
    ["lanxe", "balpi"],
    ["zbani", "banbe"],
    ["jirsezlu'i", "banci"],
    ["badna", "banhane"],
    ["banxa", "banko"],
    ["lanka", "banse"],
    ["muvysazri", "bapra"],
    ["barja", "barcu"],
    ["cnemu", "barda"],
    ["birka", "barma"],
    ["tanbo", "barta"],
    ["jicmu", "basni"],
    ["zbepi", "nu basni"],
    ["canja", "batmi"],
    ["botpi", "batpi"],
    ["matne", "batra"],
    ["ckana", "bedpu"],
    ["cpedu", "begco"],
    ["te jipno", "bekfao"],
    ["janbe", "bekli"],
    ["dacti", "bekti"],
    ["betfu", "beldu"],
    ["zgitigbe'e", "bendu"],
    ["lanme", "berci"],
    ["besna", "berna"],
    ["bevri", "berti"],
    ["kromau", "betcu"],
    ["korbi", "bidje"],
    ["bifce", "bifci"],
    ["baktsupa'o", "bifte"],
    ["bilni", "bilca"],
    ["jbuboikei", "bilra"],
    ["mlemau", "bilti"],
    ["birje", "birju"],
    ["bisli", "bisli"],
    ["bikla", "bitce"],
    ["jbini", "bitsa"],
    ["tarti", "bivdu"],
    ["se tadji", "bivfoa"],
    ["labmau", "blabi"],
    ["balre", "blada"],
    ["blamau", "blanu"],
    ["catlu", "bleka"],
    ["cumki", "blicu"],
    ["darxi", "bloda"],
    ["bliku", "bloku"],
    ["ciblu", "bludi"],
    ["creka", "blusa"],
    ["se kluza", "nu blusa"],
    ["jbama", "bomba"],
    ["bongu", "bongu"],
    ["vanjrbordo", "bordo"],
    ["ga'ardance'a", "borku"],
    ["nanla", "botci"],
    ["batke", "botni"],
    ["bloti", "botsu"],
    ["seljbe", "brana"],
    ["parbi", "brato"],
    ["dilcu", "nu brato"],
    ["nanba", "breba"],
    ["bredi", "bredi"],
    ["terjabre", "breko"],
    ["vrimau", "briga"],
    ["cirlrbri", "brihe"],
    ["kitybli", "briku"],
    ["caizma", "brili"],
    ["brife", "brize"],
    ["burcu", "brocu"],
    ["spofu", "broda"],
    ["porpi", "broko"],
    ["racmau", "bromou"],
    ["burmau", "brona"],
    ["pijnyja'i", "bruci"],
    ["pazbu'a", "brudi"],
    ["se tunba", "brusoe"],
    ["vasxu", "brute"],
    ["spagunma", "bucto"],
    ["dukti", "bufpo"],
    ["selpapri", "bukcu"],
    ["balji", "bulbi"],
    ["febvi", "bulju"],
    ["bebna", "bunbo"],
    ["stapa", "buste"],
    ["bracutci", "butpa"],
    ["vanjrcabli", "cabli"],
    ["jelca", "cabro"],
    ["nimpastu", "cadre"],
    ["kumte", "camle"],
    ["smadi", "cankri"],
    ["klani", "canli"],
    ["cunso", "canse"],
    ["funca", "nu canse"],
    ["snuti", "fu canse"],
    ["terselpri", "capri"],
    ["tabno", "carbo"],
    ["cartu", "cartu"],
    ["siclu", "caslo"],
    ["mabrlutra", "catra"],
    ["canpa", "cavle"],
    ["ctino", "cedzu"],
    ["ralju", "cefli"],
    ["galfi", "cejmao"],
    ["ji'esle", "celhu"],
    ["kajna", "celna"],
    ["binxo", "cenja"],
    ["centi", "centi"],
    ["stizu", "cersi"],
    ["censa", "cesmau"],
    ["censa", "cesmau"],
    ["cokcu", "cetcea"],
    ["cilmo", "cetlo"],
    ["cripu", "cibra"],
    ["cikna", "cidja"],
    ["stagi", "ciirhebpai"],
    ["terdikrau", "cikli"],
    ["dunli", "ciktu"],
    ["daplu", "cilda"],
    ["critu", "cimfui"],
    ["smanrpana", "cimpe"],
    ["crisa", "cimra"],
    ["cifnu", "cinta"],
    ["cilre", "cirna"],
    ["jinci", "cirzo"],
    ["tcila", "citlu"],
    ["cilta", "citre"],
    ["kafybarja", "ckafe"],
    ["se selxe'ozma", "ckano"],
    ["ckule", "ckela"],
    ["temci", "ckemo"],
    ["tcikymokca", "ckepea"],
    ["selja'e", "ckozu"],
    ["lauzma", "clado"],
    ["vrumau", "nu cladu"],
    ["se savru", "claflo"],
    ["cmila", "clafo"],
    ["te cliva", "clegoi"],
    ["claxu", "clesi"],
    ["sakli", "clidu"],
    ["rimni", "clifaosoa"],
    ["pezli", "clife"],
    ["simsa", "clika"],
    ["sirli'i", "clina"],
    ["jmive", "clivi"],
    ["kliru", "cloro"],
    ["prami", "cluva"],
    ["jdika", "cmacea"],
    ["jbari", "cmafru"],
    ["cmalu", "cmalo"],
    ["se danti", "cmanuryreo"],
    ["smacu", "cmarau"],
    ["bidju", "cmatro"],
    ["jdini", "cmeni"],
    ["se salci", "cmikeo"],
    ["selzdi", "cmiza"],
    ["tcumansa", "cnicmamao"],
    ["nitcu", "cnida"],
    ["ninmau", "cninu"],
    ["silka", "colku"],
    ["ckeji", "comtu"],
    ["cnomau", "condi"],
    ["teirmokca", "corkeo"],
    ["se notci", "corlerci"],
    ["tormau", "corta"],
    ["lacpu", "cpula"],
    ["cisma", "crano"],
    ["tercarvi", "crina"],
    ["cteki", "cteki"],
    ["marji", "ctifu"],
    ["derxi", "ctimoa"],
    ["kalci", "ctuda"],
    ["canko", "cundo"],
    ["tunka", "cupri"],
    ["snura", "curca"],
    ["binra", "curdi"],
    ["bandu", "curmao"],
    ["se bandu", "curmaokamda"],
    ["creka", "curta"],
    ["cutci", "cutci"],
    ["jinto", "cuthou"],
    ["djacu", "cutri"],
    ["terpinka", "cutse"],
    ["la'ezma", "dakli"],
    ["meryru'u", "dalra"],
    ["pambe", "dampa"],
    ["selpla", "danci"],
    ["fadni", "danri"],
    ["dansu", "danse"],
    ["denci", "dante"],
    ["djica", "danza"],
    ["spuda", "dapli"],
    ["darmau", "darli"],
    ["rivbi", "darsto"],
    ["vrogai", "darto"],
    ["fuzme", "daspa"],
    ["decti", "decti"],
    ["degji", "dedjo"],
    ["dekto", "dekto"],
    ["detri", "delsaa"],
    ["donri", "denli"],
    ["ckape", "denro"],
    ["dertu", "dertu"],
    ["tixnu", "detra"],
    ["kukte", "dilko"],
    ["ralci", "nu dilko"],
    ["krati", "dilri"],
    ["dirba", "dipri"],
    ["selfa'a", "dirco"],
    ["cirko", "dirlu"],
    ["casnu", "dislu"],
    ["jdice", "disri"],
    ["ctuca", "ditca"],
    ["batci", "ditka"],
    ["te xusra", "djacue"],
    ["djuno", "djano"],
    ["kanro", "djela"],
    ["selrunta", "djesi"],
    ["dejni", "djeta"],
    ["jorne", "djine"],
    ["vajni", "djipo"],
    ["tagmau", "djitu"],
    ["cmima", "djori"],
    ["fenso", "djoso"],
    ["se degji", "djoto"],
    ["paijdi", "djudi"],
    ["jemna", "djula"],
    ["sarji", "djupo"],
    ["dunda", "donsu"],
    ["jamna", "dorja"],
    ["dotco", "dotca"],
    ["vensa", "dotfui"],
    ["dunra", "dotra"],
    ["manmau", "draka"],
    ["ranmrdrakone", "dralu"],
    ["sudmau", "drani"],
    ["dacru", "drara"],
    ["drani", "dreti"],
    ["dirgo", "drida"],
    ["morji", "driki"],
    ["notci", "drimao"],
    ["nupre", "drucue"],
    ["tadji", "drufoa"],
    ["xarnu", "drupozfa"],
    ["darsi", "druria"],
    ["gradu", "dugri"],
    ["tcica", "dupma"],
    ["simxu", "durduo"],
    ["jadni", "durna"],
    ["gafygau", "durzo"],
    ["pulce", "dustu"],
    ["senpi", "dutci"],
    ["sisku", "duvrai"],
    ["facki", "duvri"],
    ["zasti", "dzabi"],
    ["zbabu", "dzaso"],
    ["jduli", "dzeli"],
    ["dzukla", "dzoru"],
    ["fagri", "fagro"],
    ["fliba", "falba"],
    ["jitfa", "falji"],
    ["lanzu", "famji"],
    ["kairmi'o", "famva"],
    ["fanmo", "fando"],
    ["seldu'axru", "fandou"],
    ["mu'uxru", "fangoi"],
    ["cange", "fanra"],
    ["be'ixru", "fansui"],
    ["fatne", "fanve"],
    ["pafrorci", "farfu"],
    ["bargu", "farka"],
    ["nurma", "farlai"],
    ["se nurma", "farlaicli"],
    ["kulnrfarsi", "farsa"],
    ["flira", "fasli"],
    ["frili", "fasru"],
    ["raktu", "fatru"],
    ["fatci", "fekto"],
    ["datni", "nu fekto"],
    ["farlu", "felda"],
    ["fetsi", "femdi"],
    ["cuntu", "ferci"],
    ["tirse", "ferno"],
    ["se tamne", "ferpalkui"],
    ["fremau", "ferti"],
    ["fespra", "festi"],
    ["blemau", "fibru"],
    ["finpe", "ficlu"],
    ["figre", "fighe"],
    ["cfika", "fikco"],
    ["foldi", "fildi"],
    ["cinmo", "filmo"],
    ["terpa", "firpa"],
    ["jamfu", "fitpi"],
    ["nalmenli", "fizdi"],
    ["lanci", "flaci"],
    ["sfani", "flaki"],
    ["fagypau", "flami"],
    ["tisna", "flati"],
    ["vinji", "fletcabou"],
    ["voikla", "fleti"],
    ["lunsa", "flicea"],
    ["runme", "flicea"],
    ["caflitki", "flidu"],
    ["fulta", "flofu"],
    ["xrula", "flora"],
    ["xukrflu'orine", "fluro"],
    ["clite", "foacka"],
    ["xusra", "folcue"],
    ["rapyplo", "foldi"],
    ["clumau", "folma"],
    ["mapti", "fomsao"],
    ["se ritli", "fomvei"],
    ["kumloi", "fordi"],
    ["forca", "forka"],
    ["tsamau", "forli"],
    ["se bilga", "forlyrulnytogri"],
    ["tarmi", "forma"],
    ["morna", "nu forma"],
    ["te tamne", "forpalkui"],
    ["bapli", "fosli"],
    ["planymau", "fotpa"],
    ["bumru", "fragu"],
    ["na'irgu'e", "fragui"],
    ["fasru'u", "fraki"],
    ["greku", "frama"],
    ["fraso", "frasa"],
    ["li'ekla", "fregoi"],
    ["fenki", "frelo"],
    ["pendo", "fremi"],
    ["crane", "frena"],
    ["vifmau", "frese"],
    ["zifre", "frezi"],
    ["friko", "frika"],
    ["grute", "fruta"],
    ["crepu", "frutoa"],
    ["ve vitke", "fudonhapcke"],
    ["stura", "fuganli"],
    ["tsapi", "fugusdou"],
    ["cfumau", "fulri"],
    ["ninmu", "fumna"],
    ["se selneimau", "fundi"],
    ["nelci", "fundi"],
    ["jibri", "fuperpli"],
    ["se pluka", "fupluci"],
    ["sucta", "furarstemao"],
    ["tcini", "furckosei"],
    ["danre", "fuskapypuo"],
    ["mifra", "fusmisri"],
    ["spaji", "fustari"],
    ["briju", "fusto"],
    ["kelcrfutbo", "futbo"],
    ["balvi", "futci"],
    ["nobli", "gaabra"],
    ["dekpu", "galno"],
    ["janco", "ganbardji"],
    ["jinga", "gancu"],
    ["cevni", "gandi"],
    ["ganzu", "ganli"],
    ["se nobli", "ganpoi"],
    ["galtu", "ganta"],
    ["purdi", "gardi"],
    ["turni", "garni"],
    ["ckire", "garti"],
    ["ganxo", "gasno"],
    ["gasta", "gasti"],
    ["jgina", "genhe"],
    ["krefu", "genza"],
    ["vitke", "gesko"],
    ["cpacu", "getsi"],
    ["gigdo", "gigdo"],
    ["zajba", "gimna"],
    ["genja", "ginru"],
    ["glico", "gleca"],
    ["klagi'a", "glida"],
    ["blaci", "gliso"],
    ["pipybajra", "glopa"],
    ["gluta", "gluva"],
    ["velrinci", "godru"],
    ["klama", "godzi"],
    ["cliva", "nu godzi"],
    ["genxu", "gokru"],
    ["galxe", "goltu"],
    ["snipa", "gomni"],
    ["bancumunu", "gonju"],
    ["smanrgorila", "gorla"],
    ["kanba", "gotca"],
    ["gundi", "gotri"],
    ["banli", "grada"],
    ["grake", "gramo"],
    ["salci", "grarisdou"],
    ["srasu", "grasa"],
    ["titnanba", "grato"],
    ["grasu", "gresa"],
    ["rusmau", "grisi"],
    ["sanga", "gritu"],
    ["fengu", "groci"],
    ["bramau", "groda"],
    ["gurni", "grunu"],
    ["girzu", "grupa"],
    ["xauzma", "gudbi"],
    ["se funca", "gudcae"],
    ["vu'ezma", "gudkao"],
    ["stagrxokra", "gumbo"],
    ["tutra", "gunlai"],
    ["gugde", "gunti"],
    ["vrusi", "gusto"],
    ["cizmau", "gutra"],
    ["se vitke", "haasto"],
    ["sicni", "hadcme"],
    ["te salci", "haicke"],
    ["xance", "hanco"],
    ["gleki", "hapci"],
    ["jdari", "hardu"],
    ["marbi", "harko"],
    ["saxmau", "harmo"],
    ["zdani", "hasfa"],
    ["glare", "hatro"],
    ["sedbo'u", "hedbongu"],
    ["mebri", "hedfre"],
    ["stedu", "hedto"],
    ["xecto", "hekto"],
    ["sidju", "helba"],
    ["xelso", "helna"],
    ["spati", "herba"],
    ["kerfa", "herfa"],
    ["terdikrau", "herzi"],
    ["cidro", "hidro"],
    ["zvati", "hijra"],
    ["xindo", "hinda"],
    ["tirna", "hirti"],
    ["cedra", "hiskeo"],
    ["cirselcedra", "hispao"],
    ["citri", "hisri"],
    ["kevna", "holdu"],
    ["pinxe", "hompi"],
    ["xirma", "horma"],
    ["jirna", "horno"],
    ["cacra", "horto"],
    ["spita", "hospi"],
    ["xotli", "hotle"],
    ["tcika", "hotsaa"],
    ["smoka", "hozda"],
    ["betri", "huirvei"],
    ["remna", "humni"],
    ["daspo", "hutri"],
    ["se canti", "intestini"],
    ["jganu", "jaglo"],
    ["pilji", "jalti"],
    ["jersi", "jangoi"],
    ["kavbu", "janjua"],
    ["jarki", "janro"],
    ["kalte", "janto"],
    ["jbera", "jetmao"],
    ["rinsa", "jmitaa"],
    ["penmi", "jmite"],
    ["junla", "jokla"],
    ["jgari", "jugra"],
    ["ji'ixlu", "juicko"],
    ["se jungo", "junga"],
    ["citno", "junti"],
    ["jinvi", "jupni"],
    ["jerna", "jurna"],
    ["sabnyku'a", "kabni"],
    ["sa'arbarja", "kabre"],
    ["tapla", "kadta"],
    ["dapma", "kafcue"],
    ["kafke", "kafso"],
    ["se fanta", "kakliu"],
    ["marde", "kakrui"],
    ["zukte", "kakto"],
    ["te tisna", "kalflomao"],
    ["karli", "kalra"],
    ["se makcu", "kalroa"],
    ["karbi", "kambi"],
    ["damba", "kamda"],
    ["xajmi", "kamki"],
    ["se klama", "kamla"],
    ["se litru", "nu kamla"],
    ["ginka", "kampo"],
    ["kacma", "kamra"],
    ["kamni", "kamti"],
    ["sanji", "kance"],
    ["gerku", "kangu"],
    ["naxle", "kanla"],
    ["kakne", "kanmo"],
    ["jivna", "kanpi"],
    ["grana", "kanra"],
    ["janta", "kanti"],
    ["lacri", "kaokri"],
    ["mulno", "kapli"],
    ["mapku", "kapma"],
    ["kalri", "kapni"],
    ["bloja'a", "kapta"],
    ["se panka", "kaptrigru"],
    ["risna", "karci"],
    ["karda", "karda"],
    ["fenra", "karku"],
    ["ragve", "karsa"],
    ["carce", "karti"],
    ["tinsyple", "karto"],
    ["sfasa", "kasfa"],
    ["bakni", "kasni"],
    ["vi'azga", "katca"],
    ["ckaji", "katli"],
    ["mlatu", "katma"],
    ["mapni", "katna"],
    ["bridi", "katpua"],
    ["badri", "kecri"],
    ["xenru", "keidri"],
    ["tikpa", "kekti"],
    ["cuvyxu'i", "kemdi"],
    ["preti", "kenti"],
    ["kurji", "kerju"],
    ["vacri", "kerti"],
    ["se patxu", "ketli"],
    ["beirpikta", "ketpi"],
    ["mikce", "kicmu"],
    ["kilto", "kilto"],
    ["kansa", "kinci"],
    ["jmaji", "kinkaa"],
    ["kilmau", "kinku"],
    ["gletu", "kitsa"],
    ["bukpu", "klabu"],
    ["dilnu", "klada"],
    ["lekmau", "kleda"],
    ["kliti", "kleni"],
    ["klesi", "klesi"],
    ["ciksi", "klimao"],
    ["jismau", "klini"],
    ["ralte", "klipu"],
    ["klina", "kliri"],
    ["ga'onri'a", "klogu"],
    ["tinbe", "kojduo"],
    ["jukpa", "kokfa"],
    ["kobli", "kolhe"],
    ["kolme", "kolme"],
    ["selska", "kolro"],
    ["komcu", "komcu"],
    ["selkufmau", "komfu"],
    ["kagni", "kompi"],
    ["vibna", "konbi"],
    ["vlagi", "nu konbi"],
    ["calku", "konce"],
    ["jansu", "konsu"],
    ["terkancu", "konte"],
    ["tsabu'u", "konva"],
    ["fukpi", "kopca"],
    ["skori", "korce"],
    ["minde", "korji"],
    ["korka", "korka"],
    ["xadni", "korti"],
    ["kruvi", "korva"],
    ["kosta", "kosta"],
    ["rivbykla", "kovgoi"],
    ["marxa", "kraco"],
    ["sraku", "kraju"],
    ["krixa", "kraku"],
    ["ma'esazri", "krani"],
    ["sitna", "kredi"],
    ["minra", "krefansui"],
    ["kantu", "kreni"],
    ["krici", "krido"],
    ["xislu", "krilu"],
    ["kruji", "krima"],
    ["seldjatsi", "krinu"],
    ["krili", "krisitali"],
    ["flecu", "kroli"],
    ["se tisna", "kromao"],
    ["fledicra", "krostimao"],
    ["kusmau", "kruli"],
    ["kumfa", "kruma"],
    ["ganmau", "kubra"],
    ["sutmau", "kukra"],
    ["se desku", "kuksiu"],
    ["kulnu", "kultu"],
    ["kampu", "kumtu"],
    ["ckini", "kunci"],
    ["kabri", "kupta"],
    ["kubykurfa", "kurfa"],
    ["kurfa", "kurjao"],
    ["curnu", "kurma"],
    ["kajde", "kurni"],
    ["murta", "kurti"],
    ["tcaci", "kusmo"],
    ["preja", "kuspo"],
    ["kargymau", "kusti"],
    ["katna", "kutla"],
    ["kurki", "kutra"],
    ["gacri", "kuvga"],
    ["velbo'i", "nu kuvga"],
    ["cedra", "laacke"],
    ["civla", "ladzo"],
    ["lakse", "lakse"],
    ["tolci'omau", "laldo"],
    ["tumla", "landi"],
    ["clamau", "langa"],
    ["ga'arxa'i", "lansa"],
    ["cipnrxalaudide", "larka"],
    ["larcu", "larte"],
    ["punmau", "lasti"],
    ["li'orme'a", "latci"],
    ["lindi", "ledri"],
    ["zunle", "ledzo"],
    ["pinta", "lelpi"],
    ["bangu", "lengu"],
    ["dikca", "lenki"],
    ["lenjo", "lenzo"],
    ["xatra", "lerci"],
    ["sunmau", "lesta"],
    ["curmi", "letci"],
    ["lerfu", "letra"],
    ["sirmau", "liacli"],
    ["macte'a", "lidfia"],
    ["lijda", "lidji"],
    ["jikru", "likro"],
    ["jeftu", "likta"],
    ["se gapci", "likvao"],
    ["flalu", "lilfa"],
    ["jimte", "limji"],
    ["matli", "linbu"],
    ["cinlymau", "linco"],
    ["se linji", "linkoa"],
    ["porsi", "lista"],
    ["gusni", "litla"],
    ["rinju", "litnu"],
    ["stati", "livkanmo"],
    ["rango", "livpae"],
    ["logji", "lodji"],
    ["dzejbo", "logla"],
    ["diklo", "lokti"],
    ["pelkremau", "londa"],
    ["lafmu'u", "lufta"],
    ["mluni", "lunfoa"],
    ["sunla", "lunli"],
    ["lunra", "lunra"],
    ["labno", "lupsu"],
    ["sicmau", "lusta"],
    ["se rirni", "maafra"],
    ["rorci", "maafra"],
    ["terselmakfa", "madji"],
    ["zbasu", "madzo"],
    ["maksi", "magne"],
    ["molsakcpu", "makcpu"],
    ["dotru'u or tcoru'u", "makri"],
    ["brarai", "maksi"],
    ["bilma", "malbi"],
    ["ladru", "malna"],
    ["se bilma", "malveo"],
    ["mabru", "mamla"],
    ["gunjatna", "mande"],
    ["grutrmango", "manga"],
    ["moklu", "manko"],
    ["manti", "manti"],
    ["barna", "marka"],
    ["minli", "marli"],
    ["rutpesxu", "marme"],
    ["since", "marpi"],
    ["zarci", "marte"],
    ["minji", "matci"],
    ["mamrorci", "matma"],
    ["megdo", "megdo"],
    ["se guzme", "melhone"],
    ["guzme", "melno"],
    ["nakni", "mendi"],
    ["kanla", "menki"],
    ["masti", "mensa"],
    ["speni", "merji"],
    ["merko", "merka"],
    ["merli", "merli"],
    ["sacki", "metca"],
    ["klaku", "metkra"],
    ["jinme", "metli"],
    ["mitre", "metro"],
    ["lante", "metveo"],
    ["midju", "midju"],
    ["selxre,", "miksa"],
    ["mikri", "mikti"],
    ["mli(sel)mau", "mildo"],
    ["sanmi", "milfa"],
    ["milti", "milti"],
    ["kunra", "minku"],
    ["cmarai", "minmi"],
    ["dunku", "minpuu"],
    ["mentu", "minta"],
    ["mupli", "mipli"],
    ["dekyki'o", "mirdo"],
    ["jicla", "misduo"],
    ["zumri", "misme"],
    ["rectu", "mitro"],
    ["mukti", "modvi"],
    ["molki", "molci"],
    ["ranmau", "molro"],
    ["cmana", "monca"],
    ["cerni", "monza"],
    ["zmadu", "mordu"],
    ["catra", "mormao"],
    ["morsi", "morto"],
    ["matra", "motci"],
    ["dukse", "moutsu"],
    ["nanmu", "mrenu"],
    ["demzma", "mronei"],
    ["mruli", "mroza"],
    ["mudri", "mubre"],
    ["cecmu", "munce"],
    ["janli", "muoblo"],
    ["smani", "murki"],
    ["xamsi", "mursi"],
    ["sluji", "muslo"],
    ["tcemau", "mutce"],
    ["palci", "mutzalkao"],
    ["muvdu", "muvdo"],
    ["ve klama", "nu muvdo"],
    ["se muvdu", "muvmao"],
    ["vimcu", "muvmao"],
    ["zgike", "muzgi"],
    ["nabmi", "nable"],
    ["se danfu", "nabretpi"],
    ["sodna", "nadro"],
    ["cabna", "nadzo"],
    ["dakfu", "najda"],
    ["cikre", "nakso"],
    ["dinko", "naldi"],
    ["cmene", "namci"],
    ["jgena", "nanda"],
    ["nanvi", "nanti"],
    ["nandu", "nardu"],
    ["jenmi", "narmi"],
    ["sepli", "narti"],
    ["fendi", "nartymao"],
    ["nicte", "natli"],
    ["rarna", "natra"],
    ["nazbi", "nazbi"],
    ["lamli'e", "neafre"],
    ["lamji", "nedza"],
    ["sovda", "negda"],
    ["claxu", "negvo"],
    ["bradi", "nemdi"],
    ["nenri", "nenri"],
    ["setca", "nensea"],
    ["se zdani", "nensu"],
    ["sarcu", "nerbi"],
    ["nenkaimau", "nerji"],
    ["te tunba", "nerpalkui"],
    ["nirna", "nervi"],
    ["xanka", "nervo"],
    ["stace", "nesta"],
    ["julne", "netre"],
    ["fenjesni", "nidla"],
    ["xe'izma", "nigro"],
    ["nikle", "niklo"],
    ["cirla", "nikri"],
    ["verba", "nilboi"],
    ["cnita", "nilca"],
    ["dzimau", "nu nilca"],
    ["danlu", "nimla"],
    ["citsi", "ninpai"],
    ["cipni fetsi", "nirda"],
    ["nixli", "nirli"],
    ["nanca", "nirne"],
    ["kunti", "niryrarveo"],
    ["nicmau", "nitci"],
    ["trano", "nitro"],
    ["basti", "noipli"],
    ["cando", "nokakto"],
    ["snuti", "nonumodvi"],
    ["se stodi", "norcea"],
    ["bermau", "nordi"],
    ["se nupre", "norduocue"],
    ["kulnrnorge", "norga"],
    ["randa", "norgaucue"],
    ["najmau", "norji"],
    ["cnano", "norma"],
    ["dimna", "normuvfui"],
    ["se rarna", "nornurmao"],
    ["natfe", "norsti"],
    ["te fanta", "norveicko"],
    ["drata", "notbi"],
    ["fange", "notgui"],
    ["kecti", "notkei"],
    ["se benji", "notsitsui"],
    ["caxmau", "nucondi"],
    ["selvikmau", "nucuicli"],
    ["djedi", "nudenli"],
    ["te bilma", "nudjela"],
    ["bilga", "nuforlyrulni"],
    ["cadmau", "nukaktofolma"],
    ["velnarge", "nukle"],
    ["nendi'e", "nukreni"],
    ["ginjinzi", "nulivdai"],
    ["te rarna", "nulivdai"],
    ["panzi", "numaafra"],
    ["namcu", "numcu"],
    ["skefatci", "numfeo"],
    ["cmaci", "numsensi"],
    ["ranji", "nupraduo"],
    ["dinju", "nurbai"],
    ["se jbini", "nurbia"],
    ["jalge", "nurcko"],
    ["sauzma", "nurcnu"],
    ["danti", "nurenro"],
    ["luzmau", "nurjiu"],
    ["se fanza", "nurkoucko"],
    ["mokca", "nurlia"],
    ["rutni", "nurmao"],
    ["selmau", "nurmou"],
    ["rircymau", "nurpio"],
    ["velru'e", "nurpra"],
    ["cimde", "nurska"],
    ["revme'a", "nurstomou"],
    ["vitmau", "nuryrii"],
    ["snismu", "nusanpa"],
    ["se ranji", "nuselpramao"],
    ["junta", "nuskatio"],
    ["te danti", "nutamreo"],
    ["xanri", "nutcupeo"],
    ["nutli", "nutra"],
    ["pinka", "nuvikcue"],
    ["karni", "nuzveo"],
    ["nuzba", "nuzvo"],
    ["daski", "packe"],
    ["kicne", "padzi"],
    ["kakpa", "pafko"],
    ["fanta", "pakstimao"],
    ["terspali", "palci"],
    ["patlu", "palto"],
    ["tansi", "panba"],
    ["ritru'u", "pandi"],
    ["smanrpana", "panhi"],
    ["xalni", "panki"],
    ["ckunu", "pansu"],
    ["palku", "pantu"],
    ["plebo'o", "papre"],
    ["kostrparka", "parka"],
    ["se fendi", "parmao"],
    ["pagbu", "parti"],
    ["li'ekla", "pasgoi"],
    ["purci", "pasko"],
    ["se clira", "nu pasko"],
    ["dzena", "paslinkui"],
    ["vanci", "pasnai"],
    ["li'urjaspu", "paspo"],
    ["pesxu", "pasti"],
    ["cabra", "patce"],
    ["grupesxu", "patmi"],
    ["patxu", "patpe"],
    ["denpa", "pazda"],
    ["skapi", "pelpi"],
    ["pelmau", "pelto"],
    ["penbi", "penbi"],
    ["dandu", "pendi"],
    ["panje", "penja"],
    ["rirni", "penre"],
    ["pensi", "penso"],
    ["se jesni", "penta"],
    ["jesmau", "penta"],
    ["jmeboi", "perla"],
    ["prenu", "pernu"],
    ["perli", "persa"],
    ["srana", "perti"],
    ["xipru'u", "pesro"],
    ["sanru'u", "pesta"],
    ["pleji", "petci"],
    ["jipno", "petfao"],
    ["fatri", "petri"],
    ["papri", "pidri"],
    ["cafmau", "pifno"],
    ["picti", "pikti"],
    ["plita", "pilno"],
    ["pinca", "pinca"],
    ["pijne", "pinda"],
    ["nakpinji", "pingu"],
    ["pinsi", "pinsi"],
    ["cinta", "pinti"],
    ["selgu'e", "piplo"],
    ["panra", "pirle"],
    ["spisa", "pisku"],
    ["panpi", "pismi"],
    ["terplixa", "plado"],
    ["palta", "plata"],
    ["kelci", "pleci"],
    ["plise", "pligo"],
    ["pilno", "plizo"],
    ["pu'argau", "pluci"],
    ["pimlu", "pluma"],
    ["pikci", "poirbeo"],
    ["preje'a", "poldi"],
    ["braga'a", "polji"],
    ["kulnrpolska", "polka"],
    ["pulji", "polsi"],
    ["frati", "ponda"],
    ["ponjo", "ponja"],
    ["ponse", "ponsu"],
    ["xarju", "porju"],
    ["vlipa", "porli"],
    ["potyvanju", "porto"],
    ["velmri", "posta"],
    ["fapro", "pozfa"],
    ["fanza", "pozplu"],
    ["vague keyword: kansa", "pozvo"],
    ["dinprali", "prali"],
    ["bajykla", "prano"],
    ["se jersi", "pranyprigoi"],
    ["ra'inru'e", "prase"],
    ["jdima", "prati"],
    ["sfapinfu", "preni"],
    ["te jersi", "prigoi"],
    ["trixe", "prire"],
    ["sivni", "prizi"],
    ["cupra", "proju"],
    ["lanbi", "proteini"],
    ["prosa", "proza"],
    ["cipra", "pruci"],
    ["zanru", "prusa"],
    ["pante", "prutu"],
    ["panka", "publai"],
    ["gubmau", "publi"],
    ["cnisa", "pubmo"],
    ["catke", "pucto"],
    ["tamji", "pudja"],
    ["purmo", "pudru"],
    ["selxlu", "pulso"],
    ["bunda", "pundo"],
    ["curve", "punfo"],
    ["manfymau", "punfo"],
    ["tonga", "punfysoa"],
    ["cmoni", "punkra"],
    ["cortu", "puntu"],
    ["basna", "purclamao"],
    ["pidmau", "purcu"],
    ["valsi", "purda"],
    ["prane", "purfe"],
    ["vlaselcu'asatci", "purfeo"],
    ["zirpu", "purpu"],
    ["se'ijgi", "puselrispe"],
    ["velcradi", "radjo"],
    ["zivle", "ralspo"],
    ["damri", "ramgu"],
    ["cukla", "rande"],
    ["kuspe", "ranjo"],
    ["furmau", "ranta"],
    ["ma'uzma", "rapcu"],
    ["cimni", "rarkeo"],
    ["vitno", "rarkeo"],
    ["lastu", "rasto"],
    ["ratcu", "ratcu"],
    ["krinu", "raznu"],
    ["raclymau", "razpli"],
    ["xunre", "redro"],
    ["lunbe", "refcle"],
    ["se manci", "reible"],
    ["te cecla", "renro"],
    ["renro", "renro"],
    ["taxfu", "resfu"],
    ["dasni", "respli"],
    ["gusta", "resra"],
    ["vreta", "resto"],
    ["frica", "retca"],
    ["namspu", "retpi"],
    ["senva", "revri"],
    ["cilce", "rezlii"],
    ["tcidu", "ridle"],
    ["dikmau", "rilri"],
    ["manfymau", "nu rilri"],
    ["kulnrmerinda", "rinda"],
    ["djine", "rinje"],
    ["jinsru", "rinje"],
    ["selrilti", "rinta"],
    ["vreji", "rirda"],
    ["zargu", "rirgu"],
    ["rismi", "rismi"],
    ["sinma", "rispe"],
    ["pritu", "ritco"],
    ["maxri", "ritma"],
    ["banro", "rodja"],
    ["dargu", "rodlu"],
    ["gukrufmau", "rofsu"],
    ["slanytai", "rolfoa"],
    ["gunro", "rolgu"],
    ["slanu", "nu rolgu"],
    ["latmo", "romni"],
    ["rozgu", "rozme"],
    ["rukru'u", "rubli"],
    ["javni", "rulni"],
    ["xinru'u", "rulpi"],
    ["rusko", "rusko"],
    ["pluta", "rutma"],
    ["smujmi", "saadja"],
    ["se cliva", "sacgoi"],
    ["cfari", "sacmao"],
    ["prije", "sadji"],
    ["slami", "sadna"],
    ["sigja", "sagro"],
    ["ponvanju", "sakhi"],
    ["dakli", "sakli"],
    ["sakta", "sakta"],
    ["dunja", "salcea"],
    ["sligu", "saldi"],
    ["se dunja", "nu saldi"],
    ["falnu", "salfa"],
    ["stodi", "saltai"],
    ["se cabna", "samkeo"],
    ["mintu", "samto"],
    ["canre", "sanca"],
    ["stidi", "sange"],
    ["santa", "sanla"],
    ["sinxa", "sanpa"],
    ["ganse", "sanse"],
    ["smaji", "santi"],
    ["sapmau", "sapla"],
    ["sarmau", "sarcti"],
    ["slari", "sarni"],
    ["krasi", "satci"],
    ["bukprzaituni", "satni"],
    ["satre", "satro"],
    ["cinjikca", "sekci"],
    ["snidu", "sekmi"],
    ["vricyvipsi", "sekre"],
    ["cinki", "sekta"],
    ["sevzi", "selji"],
    ["cumla", "selsai"],
    ["saske", "sensi"],
    ["fepni", "senta"],
    ["se girzu", "setci"],
    ["selcmi", "nu setci"],
    ["punji", "setfa"],
    ["tunba", "sibli"],
    ["tsiju", "sidza"],
    ["cmasigja", "sigre"],
    ["muvysli", "siltu"],
    ["desku", "nu siltu"],
    ["cinfo", "simba"],
    ["simlu", "simci"],
    ["skina", "sinma"],
    ["se jimpe", "siodja"],
    ["birti", "sirna"],
    ["ciste", "sisto"],
    ["tcadu", "sitci"],
    ["stuzi", "sitfa"],
    ["xabju", "sitlii"],
    ["judri", "sitnamci"],
    ["sombo", "sizduo"],
    ["skoto", "skaca"],
    ["ckafi", "skafi"],
    ["ckilu", "skalu"],
    ["pilka", "skapi"],
    ["skaci", "skara"],
    ["tsani", "skati"],
    ["cinba", "skesa"],
    ["zutse", "skitu"],
    ["skiji", "skizo"],
    ["klupe", "skori"],
    ["snomau", "slano"],
    ["titmau", "sliti"],
    ["sa'ozma", "slopu"],
    ["stela", "sluko"],
    ["danmo", "smano"],
    ["selmipmau", "smike"],
    ["menli", "smina"],
    ["xulmau", "smupi"],
    ["tunlo", "snalo"],
    ["cnebo", "sneku"],
    ["snime", "snice"],
    ["jbimau", "snire"],
    ["nibli", "snola"],
    ["jikca", "socli"],
    ["burna", "socycou"],
    ["sfofa", "sofha"],
    ["cindu", "sokcu"],
    ["sonci", "solda"],
    ["solri", "solra"],
    ["silna", "solte"],
    ["sance", "sonda"],
    ["sipna", "sonli"],
    ["sorcu", "sordi"],
    ["kerlo", "sorgu"],
    ["mensi", "sorme"],
    ["kicmatci", "spadi"],
    ["sefta", "spali"],
    ["mlasfe", "nu spali"],
    ["vabyxa'u", "spalii"],
    ["spano", "spana"],
    ["canlu", "spasi"],
    ["steci", "spebi"],
    ["jutsi", "speci"],
    ["lifri", "speni"],
    ["molselpu'u", "spetu"],
    ["preru'i", "spicu"],
    ["pacna", "spopa"],
    ["pruni", "spori"],
    ["certu", "spuro"],
    ["smuci", "sputa"],
    ["junri", "srisu"],
    ["ciska", "srite"],
    ["sabji", "srodou"],
    ["tsina", "stadi"],
    ["draci", "stafikco"],
    ["stani", "staga"],
    ["sanli", "stali"],
    ["tcana", "stana"],
    ["jufra", "steti"],
    ["tinsymau", "stifa"],
    ["dicra", "stimao"],
    ["tinci", "stino"],
    ["serti", "stire"],
    ["sisti", "stise"],
    ["ra'unrenvi", "stofaubei"],
    ["rarmau", "stokai"],
    ["stali", "stolo"],
    ["renvi", "nu stolo"],
    ["renvymau", "stomou"],
    ["lisri", "stuci"],
    ["tadni", "stude"],
    ["cmaga'a", "stuka"],
    ["stika", "stuli"],
    ["limkla", "sucmi"],
    ["sukmau", "sudna"],
    ["snada", "suksi"],
    ["punli", "sulba"],
    ["sliri", "sulfo"],
    ["jmina", "sumduo"],
    ["sumji", "sumji"],
    ["se panzi", "sundea"],
    ["benji", "sundi"],
    ["bersa", "sunho"],
    ["stasu", "supta"],
    ["nanmau", "surdi"],
    ["xrani", "surna"],
    ["selfu", "surva"],
    ["zugykri", "suske"],
    ["panci", "sutme"],
    ["sumne", "sutsae"],
    ["kulnrzverige", "svera"],
    ["tanko", "tabko"],
    ["gunta", "takma"],
    ["tavla", "takna"],
    ["gerna", "takrulsei"],
    ["karcyvelyle'i", "taksi"],
    ["kulnrtalia", "talna"],
    ["cecla", "tamreo"],
    ["tarci", "tarci"],
    ["dabdau", "targo"],
    ["tatpi", "tarle"],
    ["xarci", "tarmu"],
    ["selrigni", "tasgu"],
    ["tigystu", "tatro"],
    ["marce", "tcabou"],
    ["jenca", "tcaku"],
    ["se spaji", "nu tcaku"],
    ["bitmu", "tcali"],
    ["karce", "tcaro"],
    ["tcati", "tcati"],
    ["nalci", "tcela"],
    ["linsi", "tcena"],
    ["pagre", "tceru"],
    ["cutne", "tceti"],
    ["cidja", "tcidi"],
    ["te panzi", "tciha"],
    ["xejyji'o", "tcina"],
    ["matci", "tciro"],
    ["cakla", "tcoko"],
    ["catni", "tcori"],
    ["pixra", "tcure"],
    ["veltervelski", "tcutaa"],
    ["jundi", "tedji"],
    ["di'upla", "tekto"],
    ["dijyfi'i", "nu tekto"],
    ["fonxa", "telfo"],
    ["plini", "telfoa"],
    ["cedra", "telkeo"],
    ["ci'erveltivni", "telvi"],
    ["jmina", "tenmao"],
    ["selterselte'a", "tenri"],
    ["bu'udru", "tenta"],
    ["malsi", "tepli"],
    ["jdaritli", "tepvei"],
    ["terdi", "terla"],
    ["tamne", "terpalkui"],
    ["ganti", "testi"],
    ["tcena", "tetcu"],
    ["tcima", "tetri"],
    ["tijmau", "tidjo"],
    ["friti", "tifru"],
    ["tirxu", "tigra"],
    ["rebla", "tilba"],
    ["xinmo", "tinmo"],
    ["jimcilta", "tirca"],
    ["cuxna", "tisra"],
    ["citka", "titci"],
    ["tatru", "titfa"],
    ["jubme", "tobme"],
    ["ckiku", "tocki"],
    ["tugni", "togri"],
    ["lebna", "tokna"],
    ["vimcu", "nu tokna"],
    ["bakri", "tokri"],
    ["zmimau", "tomki"],
    ["tamca", "tomto"],
    ["tance", "tongu"],
    ["torni", "torni"],
    ["famti", "torpalkui"],
    ["sedbo'u", "tosku"],
    ["pencu", "totco"],
    ["tsumau", "totnu"],
    ["cpana", "tovnea"],
    ["gapru", "tovru"],
    ["litru", "traci"],
    ["te klama", "nu traci"],
    ["se xusra", "tracue"],
    ["jetnu", "tradu"],
    ["palne", "trali"],
    ["carna", "trana"],
    ["sruma", "tratcupeo"],
    ["troci", "trati"],
    ["cinri", "treci"],
    ["garna", "trelu"],
    ["trene", "trena"],
    ["tricu", "tricu"],
    ["klaji", "trida"],
    ["trina", "trili"],
    ["tutci", "trime"],
    ["rokci", "troku"],
    ["jitro", "troli"],
    ["mijyxirbajra", "troti"],
    ["drudi", "trufa"],
    ["se greku", "truke"],
    ["stura", "nu truke"],
    ["senci", "tsani"],
    ["srebalvi", "tsefui"],
    ["fraxu", "tsenordri"],
    ["clira", "tsepao"],
    ["selsre", "tsero"],
    ["selsre", "nu tsero"],
    ["zekri", "tsime"],
    ["xebni", "tsodi"],
    ["banzu", "tsufi"],
    ["jibri", "tuakle"],
    ["tubnu", "tubli"],
    ["cidni", "tuedji"],
    ["tuple", "tugle"],
    ["tujli", "tulpa"],
    ["gunka", "turka"],
    ["jinku", "vaksi"],
    ["farvi", "valda"],
    ["vilfra", "valna"],
    ["boxna", "valpu"],
    ["plipe", "valti"],
    ["vamtu", "vamtu"],
    ["cafygapci", "vapro"],
    ["selterva'i", "vatlu"],
    ["vecnu", "vedma"],
    ["ri'ozma", "vegri"],
    ["vindu", "vendu"],
    ["pemci", "versa"],
    ["vasru", "veslo"],
    ["fasnu", "vetci"],
    ["finti", "vetfa"],
    ["jvinu", "vidju"],
    ["sidbo", "vidre"],
    ["canci", "vijgoi"],
    ["xalka", "vincti"],
    ["vanju", "vinjo"],
    ["gubnoi", "virta"],
    ["canti", "visra"],
    ["viska", "vizka"],
    ["te vitke", "vizkaa"],
    ["jarco", "vizlei"],
    ["jarco", "vizmao"],
    ["lumci", "vlaci"],
    ["lalxu", "vlako"],
    ["bacru", "voidru"],
    ["voksa", "volsi"],
    ["gradrvolta", "volta"],
    ["livga", "vrano"],
    ["kamju", "vrejuo"],
    ["sraji", "vreti"],
    ["rirxe", "vrici"],
    ["zungi", "zafkaofio"],
    ["zalvi", "zakra"],
    ["te funca", "zalcae"],
    ["zermarde", "zavkao"],
    ["xlamau", "zavlo"],
    ["toknu", "zavno"],
    ["spoja", "zbuma"],
    ["se cecla", "zbutamreo"],
    ["zinki", "zinko"],
    ["ctebi", "zlupi"],
    ["bartu", "zvoto"],
    ["mi", "mi"],
    ["fi'i", "gesko"],
    ["a", ",a"],
    ["e", ",e"],
    ["o", ",o"],
    ["u", ",u"],
    ["ja", "ca"],
    ["je", "ce"],
    ["jo", "co"],
    ["ju", "cu"],
    ["joi", "ze"],
    ["gi'e", ",e"],
    ["gi'a", ",a"],
    ["gi'o", ",o"],
    ["gi'u", ""],
    ["so'i", "ro"],
    ["la'edi'u", "tio"],
    ["le su'u", "lepo"],
    ["sera'a", "peu"],
    [["o", "nai"], "onoi"]
];
function lojban2loglan(text, gentufa) {
    text = text.toLowerCase().replace(/[^a-z'\. ]/g, "");
    const tree = gentufa(text);
    if (tree.tcini === "fliba")
        return "";
    console.log(tree.kampu);
    let arrText = tree["kampu"]
        .filter((a) => a[0] !== 'drata')
        .map((a) => a[1].replace(/-/g, ""));
    const itemsString = items.filter(i => typeof i[0] === 'string');
    const itemsArray = items.filter(i => Array.isArray(i[0]));
    for (let j = 0; j < arrText.length; j++) {
        if (arrText[j] === null)
            continue;
        let found = false;
        for (let item of itemsArray) {
            if (arrText.slice(j, j + item[0].length).join(" ") === item[0].join(" ")) {
                const filler = new Array(item[0].length).fill(null);
                arrText.splice(j, j + item[0].length - 1, ...filler);
                arrText[j] = item[1];
                found = true;
                break;
            }
        }
        if (!found)
            for (let item of itemsString) {
                if (arrText[j] === item[0]) {
                    arrText[j] = item[1];
                    found = true;
                    break;
                }
            }
        if (!found)
            arrText[j] += "*";
    }
    return arrText.filter(Boolean)
        .join(" ");
}
exports.lojban2loglan = lojban2loglan;
function loglan2lojban(text) {
    text = text.toLowerCase().replace(/[^a-z'\., ]/g, "").replace(/[\., ]/g, " ");
    let arrText = text.split(" ").filter(Boolean);
    const itemsString = items.filter(i => typeof i[0] === 'string');
    const itemsArray = items.filter(i => Array.isArray(i[0]));
    for (let j = 0; j < arrText.length; j++) {
        if (arrText[j] === null)
            continue;
        let found = false;
        for (let item of itemsArray) {
            if (arrText[j] === item[1]) {
                arrText[j] = item[0].join(" ");
                found = true;
                break;
            }
        }
        if (!found)
            for (let item of itemsString) {
                if (arrText[j] === item[1]) {
                    arrText[j] = item[0];
                    found = true;
                    break;
                }
            }
        if (!found)
            arrText[j] += "*";
    }
    return arrText.filter(Boolean)
        .join(" ");
}
exports.loglan2lojban = loglan2lojban;
